// priority: 0
ServerEvents.recipes(event => {

event.shaped('2x minecraft:flower_pot', ['ABA', ' A '], {A: 'minecraft:brick', B: 'minecraft:dirt'}).id('minecraft:flower_pot')

event.shaped('minecraft:saddle', [' A ', 'ABA'], {A: 'minecraft:leather', B: 'minecraft:iron_ingot'})

event.shaped('12x create:chute', ['B', 'A', 'B'], {A: 'alloyed:steel_ingot', B: 'alloyed:steel_sheet'})	

event.recipes.create.mixing('2x additionaladditions:rose_gold_alloy', ['4x copper_ingot', '4x gold_ingot'])

event.shapeless('caverns_and_chasms:bejeweled_apple', ['apple', 'additionaladditions:rose_gold_alloy']).id('caverns_and_chasms:bejeweled_apple')

event.shapeless('caverns_and_chasms:spinel_lamp', ['glowstone', 'additionaladditions:rose_gold_alloy']).id('caverns_and_chasms:spinel_lamp')

event.shapeless('2x caverns_and_chasms:bejeweled_pearl', ['ender_pearl', 'additionaladditions:rose_gold_alloy']).id('caverns_and_chasms:bejeweled_pearl')

  event.shapeless(
        Item.of('9x create_aquatic_ambitions:prismarine_alloy_rod'), 
        ['upgrade_aquatic:prismarine_rod_bundle']
    );

event.replaceInput({ id: 'sullysmod:crafting/jade_upgrade_smithing_template' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:smithing/jade_horse_armor' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:smithing/jade_shield' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:crafting/jade_block' }, 'sullysmod:jade', 'goety:jade');

event.shaped('create:brass_hand', [' A ', 'BCB', ' B '], {A: 'create:andesite_alloy', B: 'create:brass_sheet', C:'additionaladditions:rose_gold_alloy'}).id('create:crafting/kinetics/brass_hand')

event.shaped('16x caverns_and_chasms:kunai', [' B', 'A '], {A: 'oreganized:silver_ingot', B: 'oreganized:silver_nugget'}).id('caverns_and_chasms:kunai')

event.shaped('sullysmod:jade_block', ['AAA', 'ABA', 'AAA'], {A: 'goety:jade', B: 'minecraft:emerald'}).id('sullysmod:crafting/jade_block')

event.shaped('legendary_monsters:axe_of_lightning', ['AC ', 'ABD', ' B '], {A: 'minecraft:iron_ingot', B: 'minecraft:stick', C: 'legendary_monsters:air_rune', D: 'oreganized:electrum_ingot'}).id('legendary_monsters:axe_of_lightning')

event.shaped('immersive_aircraft:steel_boiler', ['AAA ', 'ADA', 'BCB'], {A: 'minecraft:iron_ingot', B: 'alloyed:steel_ingot', C: 'minecraft:blast_furnace', D: 'immersive_aircraft:boiler'}).id('immersive_aircraft:steel_boiler')

event.replaceInput({ id: 'create:mechanical_crafting/crushing_wheel' }, '#minecraft:planks', '#forge:ingots/steel')

event.replaceInput({ id: 'minecraft:rail' }, 'minecraft:iron_nugget', '#odyssey:lead_or_iron_nuggets')
event.replaceInput({ id: 'minecraft:powered_rail' }, 'minecraft:iron_nugget', '#odyssey:lead_or_iron_nuggets')
event.replaceInput({ id: 'minecraft:detector_rail' }, 'minecraft:iron_nugget', '#odyssey:lead_or_iron_nuggets')
event.replaceInput({ id: 'minecraft:activator_rail' }, 'minecraft:iron_nugget', '#odyssey:lead_or_iron_nuggets')


event.shaped('4x sullysmod:throwing_knife', [' B ',  'A  '], {A: '#forge:rods/wooden',B: 'sullysmod:piranha_tooth' }).id('sullysmod:crafting/throwing_knife')


event.replaceInput({ id: 'immersive_aircraft:nether_engine' }, 'minecraft:netherite_ingot', 'oreganized:electrum_ingot')

event.replaceInput({ id: 'malum:crude_scythe' }, 'minecraft:iron_ingot', 'oreganized:silver_ingot')

event.replaceInput({ id: 'warriorsofpastepoch:musketeer_camisole_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot')

event.replaceInput({ id: 'supplementaries:bomb' }, 'minecraft:iron_ingot', 'oreganized:lead_ingot')

event.replaceInput({ id: 'minecraft:iron_helmet' }, 'minecraft:iron_ingot', 'create:iron_sheet')
event.replaceInput({ id: 'minecraft:iron_chestplate' }, 'minecraft:iron_ingot', 'create:iron_sheet')
event.replaceInput({ id: 'minecraft:iron_leggings' }, 'minecraft:iron_ingot', 'create:iron_sheet')
event.replaceInput({ id: 'minecraft:iron_boots' }, 'minecraft:iron_ingot', 'create:iron_sheet')

event.replaceInput({ id: 'minecraft:golden_helmet' }, 'minecraft:golden_ingot', 'create:golden_sheet')
event.replaceInput({ id: 'minecraft:golden_chestplate' }, 'minecraft:golden_ingot', 'create:golden_sheet')
event.replaceInput({ id: 'minecraft:golden_leggings' }, 'minecraft:golden_ingot', 'create:golden_sheet')
event.replaceInput({ id: 'minecraft:golden_boots' }, 'minecraft:golden_ingot', 'create:golden_sheet')

event.shaped('minecraft:chainmail_helmet', ['BAB', 'A A'], {A: 'minecraft:iron_nugget', B: 'minecraft:iron_ingot'})
event.shaped('minecraft:chainmail_chestplate', ['B B', 'ABA', 'AAA'], {A: 'minecraft:iron_nugget', B: 'minecraft:iron_ingot'})
event.shaped('minecraft:chainmail_leggings', ['BAB', 'A A','A A'], {A: 'minecraft:iron_nugget', B: 'minecraft:iron_ingot'})
event.shaped('minecraft:chainmail_boots', ['B B', 'A A'], {A: 'minecraft:iron_nugget', B: 'minecraft:iron_ingot'})

event.shaped('2x minecraft:netherite_upgrade_smithing_template', ['BCB', 'ABA','AAA'], {A: 'minecraft:diamond', B: 'minecraft:netherrack', C:'minecraft:netherite_upgrade_smithing_template'}).id('minecraft:netherite_upgrade_smithing_template')

event.smithing('additionaladditions:rose_gold_boots', 'additionaladditions:rose_gold_upgrade','exlinecopperequipment:copper_boots', 'additionaladditions:rose_gold_alloy')
event.smithing('additionaladditions:rose_gold_helmet', 'additionaladditions:rose_gold_upgrade','exlinecopperequipment:copper_helmet', 'additionaladditions:rose_gold_alloy')
event.smithing('additionaladditions:rose_gold_chestplate', 'additionaladditions:rose_gold_upgrade','exlinecopperequipment:copper_chestplate', 'additionaladditions:rose_gold_alloy')
event.smithing('additionaladditions:rose_gold_leggings', 'additionaladditions:rose_gold_upgrade','exlinecopperequipment:copper_leggings', 'additionaladditions:rose_gold_alloy')
	
event.smithing('minecraft:diamond_leggings', 'minecraft:netherite_upgrade_smithing_template','#odyssey:diamond_leggings_base', 'minecraft:diamond').id('minecraft:diamond_leggings')
event.smithing('minecraft:diamond_boots', 'minecraft:netherite_upgrade_smithing_template','#odyssey:diamond_boots_base', 'minecraft:diamond').id('minecraft:diamond_boots')
event.smithing('minecraft:diamond_chestplate', 'minecraft:netherite_upgrade_smithing_template','#odyssey:diamond_chestplate_base', 'minecraft:diamond').id('minecraft:diamond_chestplate')
event.smithing('minecraft:diamond_helmet', 'minecraft:netherite_upgrade_smithing_template','#odyssey:diamond_helmet_base', 'minecraft:diamond').id('minecraft:diamond_helmet')

 event.smithing(
        'alloyed:steel_boots', 
        'alloyed:steel_upgrade_smithing_template', 
        'minecraft:iron_boots', 
        '#forge:ingots/steel'
    ).id('alloyed:smithing/steel_boots')
    
    event.smithing(
        'alloyed:steel_helmet', 
        'alloyed:steel_upgrade_smithing_template', 
        'minecraft:iron_helmet', 
        '#forge:ingots/steel'
    ).id('alloyed:smithing/steel_helmet')
    
    event.smithing(
        'alloyed:steel_chestplate', 
        'alloyed:steel_upgrade_smithing_template', 
        'minecraft:iron_chestplate', 
        '#forge:ingots/steel'
    ).id('alloyed:smithing/steel_chestplate')
    
    event.smithing(
        'alloyed:steel_leggings', 
        'alloyed:steel_upgrade_smithing_template', 
        'minecraft:iron_leggings', 
        '#forge:ingots/steel'
    ).id('alloyed:smithing/steel_leggings')

  

event.replaceInput({ id: 'immersive_aircraft:enhanced_propeller' }, 'immersive_aircraft:propeller', 'create:propeller')
event.replaceInput({ id: 'immersive_aircraft:biplane' }, 'immersive_aircraft:propeller', 'create:propeller')
event.replaceInput({ id: 'immersive_aircraft:gyrodyne' }, 'immersive_aircraft:propeller', 'create:propeller')
event.replaceInput({ id: 'immersive_aircraft:quadrocopter' }, 'immersive_aircraft:propeller', 'create:propeller')

event.replaceOutput({ id: 'immersive_aircraft:quadrocopter' }, 'immersive_aircraft:propeller', 'create:propeller')


event.shaped('minecraft:chest', ['AAA', 'A A','AAA'], {A: '#odyssey:chest_material'})

event.replaceInput({ id: 'warriorsofpastepoch:surgical_saw_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musket_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'alloyed:steel_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:bayonet_knife_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:pistol_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'alloyed:steel_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:plague_doctors_cloak_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_rapier_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:doctors_cane_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_camisole_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:plague_vaccine_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_hat_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:ammo_bag_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musket_ammo_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:thickened_skin_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:surgical_saw_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musket_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:pistol_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_rapier_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
	
event.shaped('4x chain', ['A', 'A', 'A'], {A: 'alloyed:steel_nugget'})


event.shaped('2x minecraft:ender_chest', ['AAA', 'ABA', 'AAA'], {A: 'obsidian', B: 'ender_eye'}).id('minecraft:ender_chest')
	
event.shaped('4x alloyed:steel_trapdoor', ['AAA', 'AAA'], {A: 'alloyed:steel_ingot'}).id('alloyed:crafting/steel_trapdoor')

event.replaceInput({ id: 'create:crafting/kinetics/mechanical_drill' }, 'minecraft:iron_ingot', 'alloyed:steel_ingot')

 event.replaceInput(
        { id: 'upgrade_aquatic:trident' }, 
        'upgrade_aquatic:prismarine_rod', 
        'create_aquatic_ambitions:prismarine_alloy_rod'
    );
  event.replaceInput(
        { id: 'upgrade_aquatic:prismarine_rod_bundle' }, 
        'upgrade_aquatic:prismarine_rod', 
        'create_aquatic_ambitions:prismarine_alloy_rod'
    );
event.replaceInput({ id: 'alexsmobs:sopa_de_macaco' }, 'alexsmobs:banana_peel', 'neapolitan:banana')
		
event.replaceInput({ id: 'minecraft:shield' }, 'minecraft:iron_ingot', 'create:iron_sheet')

event.replaceInput({ id: 'create:chain' }, 'create:zinc_ingot', 'create:zinc_nugget')

event.replaceInput({ id: 'toms_storage:storage_terminal' }, 'minecraft:comparator', 'create:electron_tube')

event.shaped('create:mechanical_mixer', [' A ', 'CBC', 'CCC'], {A: 'create:cogwheel', B: 'create:andesite_casing', C: 'create:iron_sheet'}).id('create:crafting/kinetics/mechanical_mixer')

event.shaped('chain', ['A', 'A', 'A'], {A: 'oreganized:lead_nugget'})

event.shaped('minecraft:bundle', ['A', 'B'], {A: '#forge:string', B: '#odyssey:leather_material'}).id('diversity:bundle')

event.replaceInput({ id: 'toms_storage:crafting_terminal' }, 'minecraft:crafting_table', 'malum:cluster_of_brilliance')

event.shaped('backpacked:backpack', ['BBB', 'ACA', 'BBB'], {A: 'minecraft:string', B: '#odyssey:leather_material', C: 'minecraft:iron_ingot'}).id('backpacked:backpack')

event.shaped('supplementaries:sack', ['BAB', 'B B', 'BBB'], {A: 'minecraft:string', B: 'farmersdelight:canvas'})

event.shaped('vc_gliders:reinforced_paper', ['AB', 'BA'], {A: 'minecraft:paper', B: '#odyssey:leather_material'}).id('vc_gliders:reinforced_paper')

event.shaped('vc_gliders:reinforced_paper', ['AB', 'BA'], {A: 'minecraft:paper', B: 'farmersdelight:canvas'})

event.shaped('vc_gliders:paraglider_wood', ['ABA', 'ADA', 'CBC'], {A: 'vc_gliders:reinforced_paper', B: 'minecraft:phantom_membrane', C: 'minecraft:stick', D: 'minecraft:string'}).id('vc_gliders:paraglider_wood')
	
event.shaped('minecraft:smithing_table', ['II', 'BB', 'LL'], {I: 'iron_ingot', L: 'oreganized:lead_ingot', B: '#minecraft:planks'}).id('minecraft:smithing_table')

event.recipes.create.mixing('3x alloyed:steel_ingot', ['3x iron_ingot', '3x oreganized:lead_nugget', ['coal','charcoal']]).id('alloyed:mixing/steel_ingot')
	
event.shaped('2x caverns_and_chasms:living_flesh', ['AAA', 'ACA', 'DED'], {A: 'rotten_flesh',  C: '#goety:totems', D:'oreganized:silver_ingot', E:'minecraft:ghast_tear'}).id('caverns_and_chasms:living_flesh')

event.shaped('alexscaves:charred_remnant', [' A ', 'ACA', ' A '], {A: 'alloyed:steel_ingot',  C: 'alexscaves:uranium'})

event.shaped('4x alexscaves:metal_barrel', ['AAA', 'ACA', 'AAA'], {A: 'alloyed:steel_ingot',  C: 'minecraft:barrel'})

event.replaceInput({ id: 'savage_and_ravage:blast_proof_plating'}, 'savage_and_ravage:creeper_spores', 'more_critters:blossombush_seed');

event.recipes.create.mixing('minecraft:netherite_ingot', ['4x netherite_scrap', '4x minecraft:gold_ingot']).heated().id('minecraft:netherite_ingot')
	
event.recipes.create.mixing('caverns_and_chasms:necromium_ingot', ['3x netherite_scrap', '3x oreganized:silver_ingot', 'goety:grave_dust']).superheated().id('caverns_and_chasms:necromium_ingot')
	
event.recipes.create.mixing('endrem:lost_eye', ['2x goety:cursed_metal_ingot', '2x oreganized:lead_ingot', '2x malum:infernal_spirit', 'minecraft:ender_eye']).superheated()

event.replaceInput({ id: 'quark:automation/crafting/redstone_randomizer' }, 'minecraft:prismarine_crystals', 'additionaladditions:rose_gold_alloy')
	
event.shaped('minecraft:minecart', ['A A', 'AAA'], {A: ['iron_ingot', 'oreganized:lead_ingot']}).id('minecraft:minecart')

event.replaceInput({ id: 'twigs:lamp' },'minecraft:iron_ingot', '#odyssey:lead_or_iron')

event.replaceInput({ id: 'twigs:soul_lamp' },'minecraft:iron_ingot', '#odyssey:lead_or_iron')

event.replaceInput({ id: 'immersive_aircraft:gyrodyne' },'immersive_aircraft:sail', 'create:white_sail')

event.replaceInput({ id: 'immersive_aircraft:airship' },'immersive_aircraft:sail', 'create:white_sail')

event.replaceInput({ id: 'create:mechanical_crafting/crushing_wheel' }, '#minecraft:planks', '#forge:ingots/steel')

event.replaceInput({ id: 'vc_gliders:copper_upgrade' }, 'minecraft:copper_block', 'minecraft:copper_ingot')

event.shaped('create:schematicannon', ['EAE', 'BAB', 'CDC'], {A: 'alloyed:steel_block', B: '#minecraft:logs', C: 'minecraft:smooth_stone', D: 'minecraft:dispenser', E: 'alloyed:steel_ingot'}).id('create:crafting/schematics/schematicannon')

	event.recipes.create.mechanical_crafting('immersive_aircraft:warship', [
	'  III  ',
        'GBABABG',
	'GDCKCDG',
	'GAAAAAG',
	'  DEF  '
	], {
	A: 'create:white_sail', B: 'create:propeller', C: 'immersive_aircraft:engine', D: 'create:brass_casing', E: 'immersive_aircraft:cargo_airship', F: 'create:white_seat', G: 'alloyed:steel_sheet', I: 'farmersdelight:safety_net', K: 'immersive_aircraft:industrial_gears'
	}).id('immersive_aircraft:warship')	
})